Subject: Re: git gui crashes ( v 1.8.5.2)

From: Max Kirillov <[email-masked]>
Date: Tue, 14 Jan 2014 08:50:14 +0200

Hi.

On Mon, Jan 13, 2014 at 05:11:41PM -0800, Jonathan Nieder wrote:
> (just cc-ing some area experts)
> Benoît Bourbié wrote:
>> git gui crashes on my Linux machin since I updated it to 1.8.5.2.

I believe this happens at tk8.4 or earlier. I have not
tested it there, and according to the manpages in Internet
the older versions do not have the -stretch option.

Before I can find a system to test it, I think the panned
right half should really be reverted for the older versions of
tk. I remember it did not behave correctly without the
stretch option.

Maybe, to avoid cluttering the code, panedwindow should nit
be used at all without the ttk.

I'll try to submit a fix today.

-- 
Max